Zum Hauptinhalt springen

Update the spam protection of a mail address

PATCH/v2/mail-addresses/{mailAddressId}/spam-protection
API-Version
v2
Request-Methode
PATCH
Operation-ID
mail-update-mail-address-spam-protection

Request​

  • mailAddressIdstring (uuid)
    required

    ID of the MailAddress to update the spam protection for.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"spamProtection":{"active":true,"autoDeleteSpam":true,"folder":"inbox","relocationMinSpamScore":123}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/mail-addresses/f0f86186-0a5a-45b2-aa33-502777496347/spam-protection
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.updateMailAddressSpamProtection({
"mailAddressId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"spamProtection": {
"active": true,
"autoDeleteSpam": true,
"folder": "inbox",
"relocationMinSpamScore": 123
}
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\UpdateMailAddressSpamProtection\UpdateMailAddressSpamProtectionRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Mail\UpdateMailAddressSpamProtection\UpdateMailAddressSpamProtectionRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdateMailAddressSpamProtectionRequestBody to learn how to construct a valid instance
$body = new UpdateMailAddressSpamProtectionRequestBody(/* TODO: ... */);

$request = (new UpdateMailAddressSpamProtectionRequest(
mailAddressId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->mail()->updateMailAddressSpamProtection($request);

var_dump($response->getBody();

Auf dieser Seite